Bug 1787450 (python-pytest-toolbox) - Review Request: python-pytest-toolbox - Numerous useful plugins for pytest
Summary: Review Request: python-pytest-toolbox - Numerous useful plugins for pytest
Keywords:
Status: CLOSED ERRATA
Alias: python-pytest-toolbox
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-pydantic python-pytest-isort 1787448
Blocks: python-devtools
TreeView+ depends on / blocked
 
Reported: 2020-01-02 21:56 UTC by Fabian Affolter
Modified: 2020-02-07 01:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-07 01:50:56 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-02 21:56:09 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pytest-toolbox.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pytest-toolbox-0.4-1.fc31.src.rpm

Project URL: https://github.com/samuelcolvin/pytest-toolbox

Description:
Numerous useful plugins for pytest.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40056747

rpmlint output:
$ rpmlint python-pytest-toolbox-0.4-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-pytest-toolbox-0.4-1.fc31.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-06 18:30:04 UTC
Same issue:

python3-pytest-toolbox.noarch: E: non-readable /usr/lib/python3.8/site-packages/pytest_toolbox/__pycache__/comparison.cpython-38-PYTEST.pyc 600
python3-pytest-toolbox.noarch: E: non-readable /usr/lib/python3.8/site-packages/pytest_toolbox/__pycache__/main.cpython-38-PYTEST.pyc 600
python3-pytest-toolbox.noarch: E: non-readable /usr/lib/python3.8/site-packages/pytest_toolbox/__pycache__/version.cpython-38-PYTEST.pyc 600

rm -rf %{buildroot}%{python3_sitelib}/pytest_toolbox/__pycache__/*.cpython-%{python3_version_nodots}-PYTEST.pyc

 - License ok
 - Latest version packaged
 - Builds in mock
 - Conforms to Packaging Guidelines

Package approved. Please fix the aforementioned issue before import.

Comment 2 Fabian Affolter 2020-01-07 12:23:58 UTC
Thanks

Comment 3 Gwyn Ciesla 2020-01-07 13:56:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pytest-toolbox

Comment 4 Fedora Update System 2020-01-25 22:14:29 UTC
FEDORA-2020-4093ede027 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4093ede027

Comment 5 Fedora Update System 2020-01-30 22:59:33 UTC
python-pytest-toolbox-0.4-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4093ede027

Comment 6 Fedora Update System 2020-02-07 01:50:56 UTC
python-pytest-toolbox-0.4-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.